Bug 141775 - EDITING Autofilter with fraction values does not differentiate between items
Summary: EDITING Autofilter with fraction values does not differentiate between items
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2021-04-20 10:01 UTC by NISZ LibreOffice Team
Modified: 2021-05-07 05:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Calc (12.12 KB, application/vnd.oasis.opendocument.spreadsheet)
2021-04-20 10:01 UTC, NISZ LibreOffice Team
Details
The example file before changing filtering conditions (16.85 KB, image/png)
2021-04-20 10:01 UTC, NISZ LibreOffice Team
Details
The example file after changing filtering conditions (12.96 KB, image/png)
2021-04-20 10:02 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-04-20 10:01:27 UTC
Created attachment 171308 [details]
Example file from Calc

Attached file contains some fractional values between 0 and 1 that have autofilter applied on some of them.
Adding another condition hides all elements except 0.

Steps to reproduce:
    1. Open attached file
    2. In column A untick the 0.046 value and close the autofilter

Actual results:
Only the row with value 0 is shown.

Expected results:
The row with value 0.516 should be shown as well.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: eac00017e34e77343b9ac3638bed9c75115a23fe
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Additional Information: 

Bibisected using bibisect-win64-7.2 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=4fd1333ba4bb4f2311e9098291154772bd310429 
author	Balazs Varga <balazs.varga991@gmail.com>	2021-03-11 14:44:49 +0100
committer	László Németh <nemeth@numbertext.org>	2021-03-25 15:00:31 +0100

tdf#140968 tdf#140978 XLSX import: fix lost rounded filters

Adding CC to: Balázs Varga
Comment 1 NISZ LibreOffice Team 2021-04-20 10:01:48 UTC
Created attachment 171309 [details]
The example file before changing filtering conditions
Comment 2 NISZ LibreOffice Team 2021-04-20 10:02:08 UTC
Created attachment 171310 [details]
The example file after changing filtering conditions
Comment 3 Balázs Varga 2021-05-04 08:26:49 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d5c2584bf36d21580db677b231c57f99f49aa2cb

Related: tdf#140968 avoid duplicated filter values

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2021-05-07 05:04:27 UTC
Solved.

Verified in
Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 1a99b4e44190e182d56a04678850d62635d74c65
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded